Name:		qubes-core-admin-client
Version:    4.2.15
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
BuildRequires:	python%{python3_pkgversion}-tqdm
BuildRequires:	python%{python3_pkgversion}-yaml
BuildRequires:	python%{python3_pkgversion}-pyxdg
BuildRequires:  python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
Requires:   qubes-rpm-oxide >= 0.2.3
Requires:   xrandr
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesdb
Requires:   python%{python3_pkgversion}-rpm
Requires:   python%{python3_pkgversion}-tqdm
Requires:   python%{python3_pkgversion}-pyxdg
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Wed Oct 16 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Wed Oct 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 584a18e
- version 4.2.15

* Wed Oct 16 2024 Simon Gaiser <simon@invisiblethingslab.com> - 7491c10
- qvm-start-daemon: Pass KDE specific guid arguments for stubdomain too

* Sat May 25 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0572987
- version 4.2.14

* Sun May 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f8da8a
- Fix creating template.rpm symlink

* Fri May 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 509a50c
- rpm: drop unused python3-daemon dependency

* Wed May 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0c61ee
- version 4.2.13

* Wed May 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5486fb8
- Make pylint happy

* Tue May 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 62b5623
- Document that qvm-service are stored as qvm-features

* Sat May 11 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba9cbf6
- Get local name from qubesdb

* Fri May 10 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 626f183
- qvm_start_daemon: improve reset property handling

* Mon May 06 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9e8d0c5
- Remove deprecated pkg_resources library

* Fri May 03 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a1b6764
- qvm-start-daemon: fix TypeError in message

* Thu May 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86d0312
- qvm-start-daemon: handle policy denials

* Mon Apr 29 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e56ecc6
- Copy a dictionary on use in mock API

* Mon Apr 29 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0998895
- version 4.2.12

* Fri Apr 26 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 118dc83
- qvm-start-daemon: fix remaining process on new audiovm

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - afc583d
- qvm-start-daemon: remove manual call on_connection_established

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 27e7af5
- qvm-start-daemon: one more pass on isolating services

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9637991
- qvm-start-daemon: check for dom0

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e54c032
- qvm-start-daemon: fix missing short alias for debug

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6acebbf
- qvm-start-daemon: make pylint happy

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 38e8c83
- qvm-start-daemon: set enabled services for launcher

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ebf6641
- qvm-start-daemon: improve dynamic switch for audiovm

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c927efc
- qvm-start-daemon: refactor start of services

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7623858
- qvm-start-daemon: improve logging and update sphinx

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a1c1367
- qvm_start_daemon: handle setting/changing audiovm

* Tue Apr 23 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - af6b76f
- qvm_start_daemon: cleanup pacat process

* Sun Apr 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e54eb38
- version 4.2.11

* Mon Apr 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f59503
- qvm-start-daemon: ignore self qube for starting audio/gui daemons

* Tue Mar 26 2024 Kamil Aronowski <kamil.aronowski@yahoo.com> - 8eacadd
- qvm-create.rst: update from dispvm_allowed to template_for_dispvms

* Thu Mar 14 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a80af18
- Enable starting DispVMs from admin API

* Sat Mar 09 2024 Yousef Alzahrani <62772396+ZYousef@users.noreply.github.com> - 2c368e0
- seperate with comma to avoid column ambiguity

* Thu Mar 07 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 9e77670
- Minor improvements to Mock App

* Mon Mar 04 2024 Yousef Alzahrani <62772396+ZYousef@users.noreply.github.com> - a084d3a
- printing list object as one string for list-like properties

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - e6ce069
- improving test coverage, removing unused imports

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 3b5de38
- line lengths

* Sat Mar 02 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - dcbcb03
- redirect rpmbuild output to dev-null making the test lest verbose in the logs

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 2b7b25b
- make pylint happier

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 7b84187
- whitespace refactor for pylint

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 6c44bb9
- add tests for the new rpm extraction logic

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 2c0a1e9
- unrelated comment fix

* Fri Mar 01 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - e33eaf0
- raise exception if symlink not found + add a note about file order in tar

* Sun Feb 25 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - b6eb773
- issue #8876: first seemingly working draft, tests not updated/extended yet, unclear if part order can be assumed [skip ci]

* Tue Feb 06 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - b2ccba7
- shorten line (addressing pylint hint)

* Tue Feb 06 2024 Sylwester Arabas <sylwester.arabas@agh.edu.pl> - 261522c
- minor cleanup of rpm2cpio usage leftover in var name

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f21e757
- version 4.2.10

* Mon Feb 05 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f4702b7
- Revert "Do not enable "low latency" mode for pipewire"

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bbbbc1f
- Switch to sequoia for codecov signature check

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6b391b
- tests: increase qvm-firewall width

* Fri Jan 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f1210e
- Update tests for Python 3.12

